Reports
Diese Seite ist nicht auf Deutsch verfügbar. Die englische Version wird angezeigt.
Get Payment Report
Authorization
appToken readAuthorizationBearer <token>
App access token issued by POST /tokens (client credentials). Full-access Apps hold the read and write scopes, read-only Apps hold read only. Send it as Authorization: Bearer <token>.
In: header
Scope: read
Query Parameters
limit?integer
Default
20offset?integer
Default
0filter[startTime]*string
Records at or after this moment. The offset is taken into account; a value without an offset is treated as UTC
Format
date-timefilter[endTime]*string
Records at or before this moment. The offset is taken into account; a value without an offset is treated as UTC
Format
date-timefilter[groupId]?string
Required when filter[userId] is not set.
filter[userId]?string
Required when filter[groupId] is not set.
group_by*string
Value in
- "hour"
- "day"
- "week"
- "month"
- "year"
- "user"
- "symbol"
sort_by?string
time orders time groupings (hour–year) by period and leaves user and symbol unordered; amount orders rows of any grouping by the total payment amount.
Value in
- "time"
- "amount"
sort_order?string
Default
"asc"Value in
- "asc"
- "desc"
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/reports/payments?filter%5BstartTime%5D=2019-08-24T14%3A15%3A22Z&filter%5BendTime%5D=2019-08-24T14%3A15%3A22Z&group_by=hour"{ "report": { "aggregation": { "numberOfActiveUsers": { "actualValue": "string", "absoluteChange": "string", "relativeChange": "string" }, "numberOfActiveCustomers": { "actualValue": "string", "absoluteChange": "string", "relativeChange": "string" }, "numberOfTrades": { "actualValue": "string", "absoluteChange": "string", "relativeChange": "string" }, "tradingVolume": { "actualValue": "string", "absoluteChange": "string", "relativeChange": "string" }, "paymentAmount": { "actualValue": "string", "absoluteChange": "string", "relativeChange": "string" } }, "data": [ {} ] }}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}{ "message": "string", "code": "string", "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "details": [ { "field": "string", "issue": "string" } ]}